{
  inputs,
  config,
  lib,
  pkgs,
  system,
  ...
}:
let
  cfg = config.services.minecraft;
in
{
  config = lib.mkIf (cfg.enable && (cfg.servers.velocity.enable || cfg.servers.survival.enable)) {
    services.mysql = {
      package = pkgs.mariadb;
      enable = true;
      settings.mysqld.port = 3459;
    };
  };
}
