{ fetchFromSourcehut, buildGoModule, pkg-config, libxkbcommon, tree }:
# Source: https://github.com/Lykos153/numen-nix
buildGoModule rec {
  pname = "dotool";
  version = "1.5";
  src = fetchFromSourcehut {
    owner = "~geb";
    repo = pname;
    rev = version;
    hash = "sha256-4QmTHeU3TnpRATKIvilkIA3i2hDjM5zQwSvmRvoWuNE=";
  };
  vendorHash = "sha256-IQ847LHDYJPboWL/6lQNJ4vPPD/+xkrGI2LSZ7kBnp4=";
  nativeBuildInputs = [ pkg-config tree ];
  buildInputs = [ libxkbcommon ];
  postInstall = ''
    install -D $src/80-dotool.rules $out/lib/udev/rules.d/80-dotool.rules
  '';
}
